Package wx :: Module aui :: Class AuiNotebook

[frames | no frames]

## Type AuiNotebook

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            AuiNotebook

Known Subclasses:
  `AuiMDIClientWindow`

Proxy of C++ AuiNotebook class

Method Summary
Control | ``__init__`(self, parent, id, pos, size, style, validator, name)` Create a Control.
| `__del__(self)`
bool | `AddPage(self, page, caption, select, bitmap)`
bool | ``Create`(self, parent, id, pos, size, style)` Do the 2nd phase and create the GUI control.
bool | `DeletePage(self, page)`
AuiTabArt | `GetArtProvider(self)`
AuiManager | `GetAuiManager(self)`
Window | `GetPage(self, page_idx)`
Bitmap | `GetPageBitmap(self, page_idx)`
size_t | `GetPageCount(self)`
int | `GetPageIndex(self, page_wnd)`
String | `GetPageText(self, page_idx)`
int | `GetSelection(self)`
bool | `InsertPage(self, page_idx, page, caption, select, bitmap)`
bool | `RemovePage(self, page)`
| `SetArtProvider(self, art)`
bool | `SetPageBitmap(self, page, bitmap)`
bool | `SetPageText(self, page, text)`
size_t | `SetSelection(self, new_page)`
| `SetTabCtrlHeight(self, height)`
| `SetUniformBitmapSize(self, size)`
| `Split(self, page, direction)`

Property Summary
| `PageCount`: See `GetPageCount`
| `Selection`: See `GetSelection` and `SetSelection`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=ID_ANY, pos=DefaultPosition, size=DefaultSize, style=AUI_NB_DEFAULT_STYLE)
(Constructor)

Create a Control. Normally you should only call this from a subclass' __init__ as a plain old wx.Control is not very useful.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Control
  Overrides:
    `wx.Control.__init__` (inherited documentation)

### Create(self, parent, id=ID_ANY, pos=DefaultPosition, size=DefaultSize, style=0)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

  Returns:
    bool
  Overrides:
    `wx.Control.Create`

Property Details

### PageCount

See `GetPageCount`

  Get Method:
    `GetPageCount`(self)

### Selection

See `GetSelection` and `SetSelection`

  Get Method:
    `GetSelection`(self)
  Set Method:
    `SetSelection`(self, new_page)

### thisown

The membership flag

  Get Method:
    unknown--1216202740(...)
  Set Method:
    unknown--1216202684(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:30 2007 | http://epydoc.sf.net